package meerkat.voting;

import meerkat.protobuf.Voting.*;

/**
 * Created by hai on 23/02/16.
 */
public interface VotingBooth {

    void setComponenets (BallotOutputDevice outputDevice,
                                VotingBoothEncryptor vbEncryptor,
                                VotingBoothUI vbUI,
                                StorageManager vbStorageManager);

    void initBoothParams (BoothParams boothParams);

    void initElectionParams (ElectionParams electionParams);

    // this function is synchronous
    void start ();


    // messages from Admin Console (If there is such one)
    // this function is asynchronous
    void shutDown();

}
