package meerkat.voting;

import com.google.common.util.concurrent.FutureCallback;
import meerkat.protobuf.Voting.*;

/**
 * Created by hai on 15/02/16.
 */
public interface BallotOutputDevice {

    /**
     *
     * @param requestId
     * @param encryptedBallot
     * @param callback
     */
    void commitToBallot(int requestId, EncryptedBallot encryptedBallot,
                        FutureCallback<VotingBoothResult<Boolean>> callback);

    void audit(int requestId, EncryptedBallot encryptedBallot, BallotSecrets ballotSecrets,
               FutureCallback<VotingBoothResult<Boolean>> callback);

    void castBallot(int requestId, FutureCallback<VotingBoothResult<Boolean>> callback);

    void cancelBallot(int requestId, FutureCallback<VotingBoothResult<Boolean>> callback);

}
